Sisimai::Reason::UserUnknown(3pm)

NAME
Sisimai::Reason::UserUnknown - Bounce reason is "userunknown" or not.

SYNOPSIS
    use Sisimai::Reason::UserUnknown;
    print Sisimai::Reason::UserUnknown->match('550 5.1.1 Unknown User');   # 1

DESCRIPTION
Sisimai::Reason::UserUnknown checks the bounce reason is "userunknown" or not. This class is called only Sisimai::Reason class.

This is the error that a local part (Left hand side of @ sign) of a recipient's email address does not exist. In many case, a user has changed internet service provider, or has quit company, or the local part is misspelled. Sisimai will set "userunknown" to the reason of email bounce if the value of Status: field in a bounce email is 5.1.1, or connection was refused at SMTP RCPT command, or the contents of Diagnostic-Code: field represents that it is unknown user.

    <kijitora@example.co.jp>: host mx01.example.co.jp[192.0.2.8] said:
      550 5.1.1 Address rejected kijitora@example.co.jp (in reply to
      RCPT TO command)

CLASS METHODS

  "text()"
"text()" returns string: "userunknown".

    print Sisimai::Reason::UserUnknown->text;  # userunknown

  "match(string)"
"match()" returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::UserUnknown->match('550 5.1.1 Unknown User');   # 1

  "true(Sisimai::Data)"
"true()" returns 1 if the bounce reason is "userunknown". The argument must be Sisimai::Data object and this method is called only from Sisimai::Reason class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2021 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.